Opened 9 years ago

Closed 9 years ago

Last modified 3 years ago

#874 closed Task (fixed)

New branch for the merge of all NOC 2011 developments

Reported by: acc Owned by: acc
Priority: low Milestone:
Component: OCE Version: release-3.3
Severity: Keywords: 2011
Cc: Review:
MP ready?:
Progress:

Description

Created a new branch for the merge of all NOC 2011 developments.

Step1. Is a copy of the trunk at the lowest revision number used by any of the branches to be merged.

The intention (subject to final acceptance of some branches) is to merge the following contributions:

dev_r2782_NOCS_Griffies
dev_r2787_NOCS_NEPTUNE
dev_r2802_NOCL_bfrimp
dev_r2802_NOCL_prjhpg
dev_r2802_NOCL_Smagorinsky
dev_r2802_NOCL_vppm
dev_r2802_NOCS_vvlfix
dev_r2855_NOCS_mppsca

The starting point is, therefore, a copy of the trunk at revision 2782.

Further details of this merge will be documented on wiki:ticket/874_NOC_2011_MERGE?
which will be updated as the merge proceeds.

Commit History (14)

ChangesetAuthorTimeChangeLog
3086acc2011-11-14T14:13:55+01:00

Create branch for the merge of all NOC 2011 developments. See ticket #874. Step 1: copy trunk at lowest revision number used by any of the branches to be merged

3081acc2011-11-11T13:38:49+01:00

Branch dev_NOC_2011_MERGE. #874. Step 13. Additional bugfixes to dynhpg.F90 from the dev_r2802_NOCL_prjhpg branch.

3075acc2011-11-10T15:03:24+01:00

Branch dev_NOC_2011_MERGE. #874. Step 12. Merge in trunk changes between revision 2802 and 2855. This branch is now ready for the 2011 merge.

3074acc2011-11-10T13:43:36+01:00

Branch dev_NOC_2011_MERGE. #874. Step 11. Merge in changes from the dev_r2802_NOCL_prjhpg. Partially imposed coding standards (more could be done); added missing namelist changes and added first attempt at documentation

3072acc2011-11-09T18:07:32+01:00

Branch dev_NOC_2011_MERGE. #874. Step 10. Merge in changes from dev_r2802_NOCL_bfrimp branch (plus some additions and conflicit resolutions)

3044acc2011-11-04T16:49:50+01:00

Branch dev_NOC_2011_MERGE. #874. Step 9: minor corrections required for full SETTE compliance (includes small bug fix to traldf_lap.F90 which was uncovered during investigations)

3027acc2011-10-28T18:14:16+02:00

Branch dev_NOC_2011_MERGE. #874. Step 8: minor corrections for single processor running as uncovered during SETTE testing

3009acc2011-10-27T13:35:36+02:00

Branch dev_NOC_2011_MERGE. #874. Step 7: Merge in changes from 2011/dev_r2855_NOCS_mppsca branch

3008acc2011-10-27T13:10:32+02:00

Branch dev_NOC_2011_MERGE. #874. Step 6: Merge in changes from 2011/dev_r2802_NOCS_vvlfix branch

3001acc2011-10-26T18:22:58+02:00

Branch dev_NOC_2011_MERGE. #874. Step 5: Merge in trunk changes between revision 2787 and 2802

2986acc2011-10-24T17:58:09+02:00

Branch dev_NOC_2011_MERGE. #874. Step 4: Merge in changes from 2011/dev_r2787_NOCS_NEPTUNE branch

2985acc2011-10-24T17:42:23+02:00

Branch dev_NOC_2011_MERGE. #874. Step 3: Merge in trunk changes between revision 2782 and 2787

2980acc2011-10-24T11:29:46+02:00

Branch dev_NOC_2011_MERGE. #874. Step 2: Add changes from the 2011/dev_r2782_NOCS_Griffies branch

2942acc2011-10-17T14:53:50+02:00

Create branch for the merge of all NOC 2011 developments. See ticket #874. Step 1: copy trunk at lowest revision number used by any of the branches to be merged

Change History (9)

comment:1 Changed 9 years ago by acc

  • Resolution set to fixed
  • Status changed from new to closed

Completed. Merged as part of the 2011 general merge. Now part of the upcoming 3.4 release.

comment:2 Changed 4 years ago by nicolasmartin

  • Keywords 2011 New Stream features added

comment:3 Changed 4 years ago by nicolasmartin

  • Keywords new added; New removed

comment:4 Changed 4 years ago by nicolasmartin

  • Keywords nemo_v3_3* added

comment:5 Changed 4 years ago by nicolasmartin

  • Keywords nemo_v3_3_1 added; Stream features new removed

comment:6 Changed 4 years ago by nicolasmartin

  • Milestone 2011 Stream 3: New features deleted

Milestone 2011 Stream 3: New features deleted

comment:7 Changed 4 years ago by nicolasmartin

  • Keywords nemo_v3_3_1 removed

comment:8 Changed 3 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

comment:9 Changed 3 years ago by nemo

  • Keywords nemo_v3_3* removed
Note: See TracTickets for help on using tickets.